#include "DummyPreprocessingManager.h"

namespace GtpVisibility {

DummyPreprocessingManager::DummyPreprocessingManager( HierarchyInterface *hierarchyInterface )
  :PreprocessingManager(hierarchyInterface)
{
}
  

bool
DummyPreprocessingManager::ExportScene(const string filename)
{
  ofstream s(filename.c_str());
  s<<"#VRML 2.0 utf8"<<endl;
  s<<"#Dummy module output"<<endl;
  return true;
}
  

bool
DummyPreprocessingManager::LoadPreprocessedData(const string filename)
{
  // do nothing
  return false;
}

  
  /** 
      Find viewcells intersecting a spherical neighborhood of a point.
      Returns false if no viewcell was found.
    */
bool
DummyPreprocessingManager::LocateViewCellIds(const Vector3 &center,
					     const float radius,
					     vector<int> *viewCellIds
					     )
{
  return false;
}
  
/** 
    Uses the specified viewcell to find its PVS
*/
int
DummyPreprocessingManager::AddViewCellPVS(const int cellID,
					  InfoContainer<NodeInfo> *visibleNodes,
					  InfoContainer<MeshInfo> *visibleMeshes )
{
  // return the root of the hierarchyInterface regardless of the cellId
  //  visibleNodes->push_back(traverser->GetRoot());
  return false;
}

}
